/*
Theme Name: Bricks Child
Theme URI: https://bricksbuilder.io/
Template: bricks
Author: Bricks
Author URI: https://bricksbuilder.io/
Description: Visual website builder for WordPress.
Version: 1.11.1729675275
Updated: 2024-10-23 11:21:15

*/
body {
    background-color: #F0F5FF;
    font-family: "Source Sans 3","Yahei",Arial, Helvetica, sans-serif;
    
}

.brxe-container {
    max-width: 1520px;
    width: 100%;
}


ul,li{
    padding:0;
    margin:0;
    list-style: none;
}

@media (max-width:1024px) {
    section>.brxe-container {
        padding: 0 16px
    }
}

#menu-main_menu>li.menu-item {
    padding: 8px 24px;
    transition: all 0.5s;
    margin: 0;

}

#menu-main_menu>li.menu-item.current-menu-ancestor {
    background-color: #185571;
    border-radius: 25px;

}

.foot-mobile-menu {
    display: none;
}

@media (max-width: 768px) {
    #brxe-rlahxl .bricks-mobile-menu>li>.brx-submenu-toggle>* {
        padding-top: 0;
    }

    .foot-mobile-menu {
        display: flex;
        position: fixed;
        bottom: 0;
        left: 0;
        z-index: 999;
    }

    .foot-mobile-menu .brxe-container a:not(:last-child)::after {
        display: block;
        width: 1px;
        height: 60px;
        background-color: #e6e6e6;
        content: '';
        position: absolute;
        right: 0;
        top: 50%;
        transform: translateY(-50%);


    }
}

:where(.brxe-nav-menu) .bricks-mobile-menu-toggle span {
    background-color: currentcolor;
    display: block;
    height: 3px;
    position: absolute;
    right: 0;
    transition: var(--bricks-transition);
}

.hover-zoom {
    overflow: hidden;
}

.hover-zoom img {
    transition: transform 1s ease;
    /* 平滑过渡效果 */
    width: auto;
    /* 确保宽度适应图片 */
    height: auto;
    /* 确保高度适应图片 */
}

.hover-zoom img:hover {
    transform: scale(1.2);
    /* 鼠标悬停时放大1.2倍 */
}

.home-cotegory-name {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
}

.home-cotegory-name h3 {
    word-break: keep-all;
}

.gradient-title {

    background: linear-gradient(270deg, #FFF81D, #B5FF0D);
    background-size: 100% 16px;
    /* 设置渐变背景的高度 */
    background-position: bottom;
    /* 将渐变定位在底部 */
    background-repeat: no-repeat;
    /* 确保渐变不重复 */
}
.gradient-title2 {

    background: linear-gradient( 270deg,  #0399FF 0%,#0658FF 100%);
    
   
}

.nowrap {
    white-space: nowrap;
}

.formsubmit {



    background: linear-gradient(270deg, #0658FF 0%, #0399FF 100%);
    border-radius: 11px 11px 11px 11px;


    font-family: OPPOSans, "OPPOSans";
    font-weight: 700;
    font-size: 20px;
    color: #FFFFFF;
    line-height: 28px;
    text-align: center;
    font-style: normal;
    text-transform: none;
    padding: 16px 40px;

}

.bgstyle1>.tab-menu .tab-title.brx-open {

    background: linear-gradient(270deg, #0658FF 0%, #0399FF 100%) !important;

}

ul.flybird-menu,
ul.flybird-menu li,
ul.flybird-menu ul {
    list-style: none;
    padding: 0;
    margin: 0;
}

ul.flybird-menu {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    width: 100%;
}

.flybird-menu .flybird-menu-submenu {

    width: 100%;
    padding: 20px 0;
}

.flybird-menu .flybird-menu-submenu .flybird-menu-submenu-title {
    text-align: center;

}

.flybird-menu .flybird-menu-submenu .flybird-menu-submenu-title span {
    font-weight: 700;
    font-size: 20px;

}

.flybird-menu .flybird-menu-item-icon {
    margin-right: 4px;
    width: 32px;
}

.flybird-menu>.flybird-menu-submenu li.flybird-menu-item {

    padding: 12px 0;
    text-align: center;
}

.flybird-menu>.flybird-menu-submenu li.flybird-menu-item a {

    color: #2222224c;
    font-size: 16px;
    font-weight: 700;
}

.flybird-menu>.flybird-menu-submenu li.flybird-menu-item.active {

    background-color: #F5F8FF;
}

.flybird-menu>.flybird-menu-submenu li.flybird-menu-item.active a {

    color: #0D53FF;
}

.flybird-menu>.flybird-menu-submenu .flybird-menu-sub {

    padding: 10px 4px;
}

.flybird-menu .flybird-menu-state-icon {
    margin-left: 12px;
    transition: all 0.5s;

}

.flybird-menu .flybird-menu-state-icon:hover {
    cursor: pointer
}

.flybird-menu-submenu-open .flybird-menu-state-icon {
    transform: rotate(180deg);
}

.flybird-menu li {
    font-family: "OPPOSans", Arial, Helvetica, sans-serif;
}

.flybird-menu-submenu ul.flybird-menu-sub {
    height: 0%;
    transition: height 0.5s ease;
    display: none;
}

.flybird-menu-submenu.flybird-menu-submenu-open ul.flybird-menu-sub {
    height: 100%;
    display: block
}

.flybird-menu2 {
    display: flex;
    flex-direction: row;
    gap: 0px;
    align-items: center;
    justify-content: center;
    margin: 0;
    padding: 0;
}
.flybird-menu2>li:not(:last-child) {
    margin-right: 10px;
}

.flybird-menu2 ul,
.flybird-menu2 li {
    list-style: none;
    padding: 0;
    margin: 0;
}

.flybird-menu2 .flybird-menu-submenu {
    width: 240px;
    height: 48px;
    background: transparent;
    border-radius: 24px;
    display: flex;
    align-items: center;
    justify-content: center;
    border: 1px solid #DCDDE0;
    color: #000000;
    font-size: 16px;
    font-weight: 400;
    font-family: "OPPOSans", Arial, Helvetica, sans-serif;
}
.flybird-menu2 .flybird-menu-submenu.flybird-menu-submenu-open{
    background: linear-gradient(270deg, #0399FF 0%, #0658FF 100%);
    color: #fff;
    border: 1px solid transparent;

}
.line-clamp-1 {
    display: -webkit-box;
    -webkit-box-orient: vertical;
    -webkit-line-clamp: 1; /* 显示的行数 */
    overflow: hidden;
  }
.line-clamp-2 {
    display: -webkit-box;
    -webkit-box-orient: vertical;
    -webkit-line-clamp: 2; /* 显示的行数 */
    overflow: hidden;
  }
body.bricks-is-frontend :focus-visible {
    outline: thin dotted transparent;
    outline: none;
}

#menu-primary-menu>li.menu-item{
    
    margin: 0px 24px;
    padding: 18px 0;
    flex: 0 1 auto;
    border-bottom: 2px solid transparent;
}
#menu-primary-menu>li.menu-item.current-menu-item{
    color: #0D53FF;
    border-bottom: 2px solid #0D53FF;
}
/* 定义动画 */
@keyframes bounce {

    0%,
    60%,
    100% {
        transform: translateY(0);
    }

    30% {
        transform: translateY(-5px);
        /* 跳动的高度 */
    }
}

.faqsubmenu  .flybird-menu-submenu-open{
    background-image: linear-gradient(270deg, #0399ff, #0658ff);
    border-radius: 4px;
}
.faqsubmenu  .flybird-menu-submenu-open a{
    color: #fff;
}
/* 应用动画到图标 */
.bounceup i {
    /* 动画名称 持续时间 循环次数 */
    animation: bounce 2s infinite;
}
@media (max-width: 1200px) {
    #menu-primary-menu>li.menu-item{
    
        margin: 0px 12px;
        padding: 10px 0;
        flex: 0 1 auto;
        border-bottom: 2px solid transparent;
    }
    #brxe-mnyxav{
        padding:0 40px !important;
    }
}
@media (max-width: 960px) {
    
    #brxe-mnyxav{
        padding:0 20px !important;
    }
    #brxe-eeyoga{
        margin-right: 20px;
    }
}

@media (max-width: 768px) {

.hidden768{
    display: none;
}
    .flybird-menu .flybird-menu-submenu .flybird-menu-submenu-title span {

        font-size: 14px;

    }
    .faqsubmenu .flybird-menu{
        flex-direction: row;
    }

    .flybird-menu .flybird-menu-item-icon {
        margin-right: 4px;
        width: 32px;
    }

    .flybird-menu>.flybird-menu-submenu li.flybird-menu-item {

        padding: 6px 0;

    }

    .flybird-menu>.flybird-menu-submenu li.flybird-menu-item a {


        font-size: 14px;

    }

    .flybird-menu .flybird-menu-submenu .flybird-menu-submenu-title span {
        font-size: 14px;
    }

    .flybird-menu .flybird-menu-submenu {

        padding: 6px 0;
    }
    .brxe-post-navigation a{
        gap: 0;
    }
    .brxe-post-navigation a .swiper-button{
        display: none  !important;
    }
    .brxe-post-navigation .next-post{
        justify-content:flex-start
    }
    .brxe-post-navigation .prev-post+.next-post {
        text-align: left;
    }
    .faqsubmenu .flybird-menu{
        overflow-x: auto;
        justify-content:flex-start;
        scrollbar-width: none; /* Firefox */
        -ms-overflow-style: none;  /* Internet Explorer 10+ */
    }
    /* Webkit browsers */
    .faqsubmenu::-webkit-scrollbar,.flybird-menu::-webkit-scrollbar {
    display: none; /* 隐藏滚动条 */
}
    .faqsubmenu .flybird-menu .flybird-menu-submenu{
        width: auto;
        flex-basis: auto;
        flex-grow: 0;
        flex-shrink: 0;
        padding:2px 8px 2px 2px;
        margin-right: 4px;
    }
   

}


/* *
*
*
*
*
*
*
*
* */

.flybird-tabs {
    width: 100%;
}

.flybird-tab-nav {
    display: flex;
    flex-wrap: nowrap;
    overflow-x: auto; /* 允许水平滚动 */
    padding-bottom: 5px;
    /* border-bottom: 2px solid #ddd; */
    -webkit-overflow-scrolling: touch; /* 支持iOS平滑滚动 */
    scrollbar-width: none; /* Firefox */
    -ms-overflow-style: none;  /* Internet Explorer 10+ */
}

/* Webkit browsers */
.flybird-tab-nav::-webkit-scrollbar {
    display: none; /* 隐藏滚动条 */
}

.flybird-tab-link {
    display: flex;
    align-items: center;
    padding: 10px 15px;
    margin-right: 5px;
    text-decoration: none;
    color: #444;
    background-color: #f9f9f920;
    border: 1px solid transparent;
    border-bottom: none;
    cursor: pointer;
    white-space: nowrap; /* 确保文本不会换行 */
    flex-grow: 0;       /* 不允许增长 */
    flex-shrink: 0;     /* 不允许收缩 */
    flex-basis: auto;   /* 根据内容自动调整 */
}

.flybird-tab-image {
    margin-right: 5px;
    width: 24px;
    height: 24px;
    object-fit: cover;
}

.flybird-tab-active,
.flybird-tab-link:hover {
    background-image: linear-gradient(270deg, #0399ff, #0658ff);
    color: #fff;
    border-radius: 8px;
}

.flybird-tab-content {
    padding-top: 10px;
}

.flybird-tab-pane {
    display: none;
    padding: 10px;
}

.flybird-tab-visible {
    display: block;
}

.flybird-tab-hidden {
    display: none;
}

/* 文章列表容器 */
.flybird-post-list-container {
    overflow-x: auto;
    white-space: nowrap;
    padding: 0;
    -webkit-overflow-scrolling: touch; /* 支持iOS平滑滚动 */
    height: 46px;
}

.flybird-tab-pane .flybird-post-list {
    display: flex;
    overflow-x:auto;
    -webkit-overflow-scrolling: touch; /* 支持iOS平滑滚动 */
    scrollbar-width: none; /* Firefox */
    -ms-overflow-style: none;  /* Internet Explorer 10+ */

}
.flybird-tab-pane .flybird-post-list a {
   flex: 0 0 auto;

}

.flybird-post-item {
    display: inline-block;
    padding: 0px 10px;
    text-decoration: none;
    color: #444;
    border-right: 1px solid #ddd;
    white-space: normal;
    word-wrap: break-word;
}

.flybird-post-item:last-child {
    border-right: none;
}

.flybird-post-item.active {
    font-weight: bold;
}

/* 针对Webkit内核浏览器 */
@media not all and (min-resolution:.001dpcm) {
    #brxe-omebkp>div:not(:nth-last-child()){
        margin-bottom: 60px;
    }
  }

  /* 对于不支持 row-gap 的浏览器 */
@supports not (row-gap: 36px) {
    #brxe-omebkp > *:not(:last-child) {
        margin-bottom: 36px;
    }
}
@media (max-width: 768px) {
#brxe-dplbis {
    row-gap: 0px !important;
    
}
#brxe-dplbis>div:not(:last-child) {
    margin-bottom: 18px;

}
}

.guestmessage{
    display: flex;
    padding: 0;
    margin: 0;
    list-style-type: none;
    flex-wrap: wrap;
}
.guestmessage>li{
    padding: 0;
    margin: 0;
    list-style-type: none;
    width: calc((100% - 75px) / 4);
    background-color: #ffffff;
    border-radius: 16px;
    padding: 24px;
    margin-bottom: 20px;
    margin-right: 20px;
}


.guestmessage>li p.guestname{
    padding-bottom: 8px;
    font-size: 20px;
    color: #000000;
    font-family: "OPPOSans";
    margin: 0;
}
.guestmessage>li p.guestmessages{
    font-size: 16px;
    font-weight: 400;
    line-height: 24px;
    font-family: "OPPOSans";
    margin: 0;
}
.guestmessage > li:nth-child(4n) {
    margin-right: 0px;
}
@media (max-width:768px) {
    .guestmessage > li:nth-child(odd) {
        margin-right: 20px;
    }
    .guestmessage>li{
        width: 100%;
        margin-bottom: 20px;
    }
    .guestmessage > li:nth-child(odd) {
        margin-right: 0px;
    }
}

.myy {
 
    

}
.myy .swiper-pagination{
    
    bottom: 7px;
    background: rgba(0,0,0,0.2);
    display: inline-block;
    width: auto;
    left: 50%;
    transform: translate(-50%, 0);
    padding: .25rem .05rem .25rem;
    border-radius: 1rem;
    line-height: 0;
}
.myy .swiper-pagination-bullet{
    width:16px;
    height:16px;
        background: #ffffff;
        margin:0 8px;
}
.myy .swiper-pagination-bullet-active{
    width:16px;
    height:16px;
        background: #fa3c00;
        border:2px solid #fff;
}
.brxe-post-sharing{
    gap:12px
}
ul,li{
    padding:0;
    margin:0;
    list-style: none;
    
}
.newslist1 .repeater-item>div{
        align-items: center;

}
.newslist2 .repeater-item>div{
    display: flex;
}
.breadcrumbs span.delimiter{
    padding:0 12px;
}
#brxe-erodwh>li{
    height:100%;
    display: flex;
    align-items: center;
    justify-content: center;
}

footer .bricks-nav-menu>li{
    margin:0;
}

.brxe-popup-1558 .brx-popup-content{
    max-width: 600px !important;
}
@media (max-width: 768px) {
.productdt .wc-tab h2 {
    font-size:24px !important;
    
}
.productdt  .woocommerce-tabs .panel {
    padding:0;
}
.productdt .wc-tab .wp-container-core-columns-is-layout-2,.productdt .wc-tab .wp-container-core-columns-is-layout-4{
    flex-direction: column-reverse;
}
}

.bbanner-img-hover>div:hover  {
  background:#ffffff;
  transition: all 0.3s ease;
 
}
.bbanner-img-hover>div img{
    transition: all 1s ease;
}
.bbanner-img-hover>div:hover img{
     filter: brightness(1) sepia(1) hue-rotate(322deg) saturate(5);
}
.bbanner-img-hover>div:hover .brxe-text-basic {
  color: blue; /* 文字变为蓝色 */
}   
